MIDDLEWARE('contact',async function($){
    if($.controller){
        const Hfiles =MODULE('https_modules/Hfiles');
        var fs_name=PATH.root('/models/contact.json');
        var js=await Hfiles.read_jasoFile(fs_name);
        $.controller.repository.contact=js.data;
        if($.controller.user){
            $.controller.repository.user=$.controller.user;
        }
    }
    $.next();
});

MIDDLEWARE('user',async function($){
    if($.controller){
 
        if($.controller.user){
            $.controller.repository.user=$.controller.user;
        }
   
        // const mongo=MODULE('https_modules/HmongoDB');
        // const con=await mongo.connfull(CONFIG("conURL"));
        // if(con.status==200){
        //     if($.controller.user && $.controller.user.role=='adminstrator'){
        //         var model= await mongo.findfull(con.data,CONFIG("dbase"),'tickets-pack',{state:"ارسال شده"},{});
                
        //         if(model.status==404 || model.status==200 ){   
        //             $.controller.repository.comuni=model.data.length;
        //         }
        //     }else{
        //         var model= await mongo.findfull(con.data,CONFIG("dbase"),'announcements',{$and:[{receiverid:$.controller.user._id},{seen:false},{hide:false}]},{});
        //         if(model.status==404 || model.status==200 ){   
        //             $.controller.repository.comuni=model.data.length;
        //         }
        //     }
      
        // }
        // mongo.disconn(con.data);
          
    }
    $.next();
});

